<template>
  <div class="line-chart-wrapper" id="line-chart"></div>
</template>

<script setup>
import { ref, onMounted, nextTick } from 'vue'
import setChart from '@/utils/setChart';
import getLineChart from './lineChart';

const props = defineProps({
  lineChartData: {
    type: Object,
    default: {
      dataX: [],
      dataY: []

    }
  }
})

onMounted(() => {
  const lineChart = getLineChart(props.lineChartData.dataX, props.lineChartData.dataY)
  setChart(lineChart, 'line-chart', )
})

</script>

<style lang="scss">
.line-chart-wrapper {
  width: 100%;
  height: 100%;
  // width: 1520px;
  // height: 580px;

}
</style>